#include "API_VideoStitch.h"
#include "opencv2/opencv.hpp"
#include "Arith_ExtrinsicStitcher.h"


class VideoStitch:public API_VideoStitch 
{
public:
    VideoStitch(SINT32 nWidth, SINT32 nHeight);
    ~VideoStitch();

	void Test();


public:
    PanInfo Init(FrameInfo info);

    BYTE8 Updata(GD_VIDEO_FRAME_S img, FrameInfo para);

    GD_VIDEO_FRAME_S     ExportPanAddr();
private:
    
    

private:

	ExtrinsicStitcher* m_GeoStitcher;//外参计算
    PanInfo m_panPara;//全景图配置
    cv::Mat m_pan;
};